From e0a8b41c23e7fd8621aebb4d4353b9f83e8c30c8 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Apr 28 2016 08:16:34 +0000
Subject: [PATCH 457/1001] Fix the URLs for when editing a widget


---

diff --git a/hubs/app.py b/hubs/app.py
index 3732eea..5f5f3b6 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -211,20 +211,25 @@ def widget_json(hub, idx):
     return response
 
 
-@app.route('/<hub>/<idx>/edit/', methods=['GET'])
-@app.route('/<hub>/<idx>/edit', methods=['GET'])
+@app.route('/<hub>/<idx>/edit/', methods=['GET', 'POST'])
+@app.route('/<hub>/<idx>/edit', methods=['GET', 'POST'])
+def widget_edit(hub, idx):
+    if flask.request.method == 'POST':
+        return widget_edit_post(hub, idx)
+    else:
+        return widget_edit_get(hub, idx)
+
+
 def widget_edit_get(hub, idx):
     widget = get_widget(session, hub, idx)
     return flask.render_template(
         'edit.html',
         hub=hub,
         widget=widget,
-        url_to=flask.url_for('widget_edit_post', hub=hub, idx=idx)
+        url_to=flask.url_for('widget_edit', hub=hub, idx=idx)
     )
 
 
-@app.route('/<hub>/<idx>/edit/', methods=['POST'])
-@app.route('/<hub>/<idx>/edit', methods=['POST'])
 def widget_edit_post(hub, idx):
     widget = get_widget(session, hub, idx)
     error = False
diff --git a/hubs/widgets/base.py b/hubs/widgets/base.py
index 49ca5b2..fcce04a 100755
--- a/hubs/widgets/base.py
+++ b/hubs/widgets/base.py
@@ -49,7 +49,7 @@ def AGPLv3(name):
             result['widget_url'] = flask.url_for(
                 'widget_render', hub=widget.hub.name, idx=widget.idx)
             result['edit_url'] = flask.url_for(
-                'widget_edit_get', hub=widget.hub.name, idx=widget.idx)
+                'widget_edit', hub=widget.hub.name, idx=widget.idx)
             result['widget'] = widget
             return result
 

